Subject: Policies/ACLs do not work (anymore)
Description

Attached file ./Configuration/Policy.yaml does not work.

Issue (1)
line 13: keyword before pointcut expression has to read "methods" (with "s"), not "method" as documented in [1]. Keyword was
"method" (without "s") before (in an older SVN revision).

Issue (2)
It's unknown how ACLs work now. Previously the syntax in file Policy.yaml was:

acls:
  ROLENAME:
   RESOURCE_NAME: GRANT

This causes the following exception:

Notice: Undefined index: entities in /var/www/.../Packages/Framework/FLOW3/Classes/Security/Policy/PolicyService.php line
401

Removing the "acls:"-section from file Policy.yaml "fixes" the problem.

It's assumed that these two issues were introduced by changes in SVN between 23/June/2010 and 24/June/2010.

[1] = http://flow3.typo3.org/documentation/manuals/flow3/flow3.securityframework/
Example 13.10 "Example resources definition..."

Associated revisions
Revision aa673266 - 2010-06-24 15:32 - Andreas Förthner

[~TASK] FLOW3 (Security): Changed the example comments in FLOW3's Policy.yaml to reflect the new policy syntax structure. Resolves #8485.

History
#1 - 2010-06-24 15:10 - Michael Schams
- File issue8485-Policy-ACL.jpg added

Hmmm... issue (1) is not reproducible - maybe we can ignore this?
#2 - 2010-06-24 15:36 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r4627.

#3 - 2010-07-15 13:35 - Karsten Dambekalns
- Category set to Security
- Assigned To set to Andreas Förthner
- Target version set to 1.0 alpha 10

Files
Policy.yaml 715 Bytes 2010-06-24 Michael Schams
issue8485-Policy-ACL.jpg 113.9 kB 2010-06-24 Michael Schams
